/// <reference types="node" />
import { AbstractLevel } from "abstract-level";
export declare class Session {
    readonly level: AbstractLevel<string | Buffer | Uint8Array, string, Uint8Array>;
    programs: KV;
    imports: KV;
    constructor(level: AbstractLevel<string | Buffer | Uint8Array, string, Uint8Array>);
    clear(): Promise<void>;
}
export declare class KV {
    readonly level: AbstractLevel<string | Buffer | Uint8Array, string, Uint8Array>;
    constructor(level: AbstractLevel<string | Buffer | Uint8Array, string, Uint8Array>);
    add(key: string, arg: Uint8Array): Promise<void>;
    remove(key: string): Promise<void>;
    all(): Promise<[string, Uint8Array][]>;
    open(): Promise<void>;
    close(): Promise<void>;
    clear(): Promise<void>;
}
