export class Session {
    level;
    programs;
    imports;
    constructor(level) {
        this.level = level;
        this.imports = new KV(this.level.sublevel("imports", {
            keyEncoding: "utf8",
            valueEncoding: "view"
        }));
        this.programs = new KV(this.level.sublevel("programs", {
            keyEncoding: "utf8",
            valueEncoding: "view"
        }));
    }
    async clear() {
        await this.imports.clear();
        await this.programs.clear();
    }
}
export class KV {
    level;
    constructor(level) {
        this.level = level;
    }
    add(key, arg) {
        return this.level.put(key, arg);
    }
    remove(key) {
        return this.level.del(key);
    }
    async all() {
        const res = [];
        for await (const [key, value] of this.level.iterator()) {
            res.push([key, value]);
        }
        return res;
    }
    async open() {
        await this.level.open();
    }
    async close() {
        await this.level.close();
    }
    async clear() {
        await this.level.clear();
    }
}
//# sourceMappingURL=session.js.map